[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLReferenceComponent.ReferenceNeeded

Creates the widgetset Reference for the class, if it has not already been allocated.

## Declaration

Source position: lclclasses.pp line 80

`protected procedure TLCLReferenceComponent.ReferenceNeeded;`

## See also

TLCLReferenceComponent.WSCreateReference |  | Tells the widgetset to create a Reference.
TLCLReferenceComponent.GetReferenceHandle |  | Override this method to return the Handle from the reference.